Skip to main content
GET
/
clients
/
{id}
Retrieve a client
curl --request GET \
  --url https://api.gospott.com/clients/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "status": {},
  "name": {
    "name": "<string>",
    "avatarUrl": "<string>"
  },
  "description": {
    "description": "<string>"
  },
  "industry": {},
  "domain": {
    "domain": "<string>"
  },
  "linkedinUrl": {
    "linkedinUrl": "<string>"
  },
  "size": {},
  "stage": {
    "stage": {
      "id": "<string>",
      "order": 123,
      "name": "<string>",
      "colorHex": "<string>"
    }
  },
  "nextTaskDue": {
    "nextTaskDue": {
      "id": "<string>",
      "content": "<string>",
      "dueDate": "2023-11-07T05:31:56Z"
    }
  },
  "locations": {
    "locations": [
      {
        "street1": "<string>",
        "street2": "<string>",
        "postalCode": "<string>",
        "city": "<string>",
        "region": "<string>",
        "state": "<string>",
        "country": "<string>",
        "rawCityCountry": "<string>",
        "latitude": 123,
        "longitude": 123,
        "formattedAddress": "<string>"
      }
    ]
  },
  "customAttributes": [
    {
      "attributeDefinitionId": "<string>",
      "label": "<string>",
      "aiFillOngoing": true,
      "aiOverridden": true,
      "isFilledByAI": true,
      "value": {
        "text": "<string>"
      }
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "modifiedAt": "2023-11-07T05:31:56Z",
  "funding": {
    "funding": {
      "round": 123,
      "lastFundingDate": "2023-11-07T05:31:56Z",
      "lastRoundType": "<string>",
      "lastRoundAmount": "<string>"
    }
  },
  "contacts": {
    "contacts": [
      {
        "id": "<string>",
        "candidateId": "<string>",
        "firstName": "<string>",
        "middleName": "<string>",
        "lastName": "<string>",
        "avatarUrl": "<string>",
        "emailAddresses": [
          {
            "emailAddress": "jsmith@example.com",
            "isPrimary": true
          }
        ],
        "phoneNumbers": [
          {
            "phoneNumber": "<string>",
            "isPrimary": true
          }
        ],
        "role": "<string>",
        "department": "<string>",
        "startDate": "2023-11-07T05:31:56Z",
        "endDate": "2023-11-07T05:31:56Z",
        "active": true,
        "mainContact": {
          "userId": "<string>",
          "name": "<string>",
          "email": "jsmith@example.com",
          "avatarUrl": "<string>",
          "deactivatedAt": "2023-11-07T05:31:56Z"
        },
        "stage": {
          "id": "<string>",
          "order": 123,
          "name": "<string>",
          "colorHex": "<string>"
        },
        "customAttributes": [
          {
            "attributeDefinitionId": "<string>",
            "label": "<string>",
            "aiFillOngoing": true,
            "aiOverridden": true,
            "isFilledByAI": true,
            "value": {
              "text": "<string>"
            }
          }
        ]
      }
    ]
  },
  "isGlobalCompany": true,
  "hierarchies": [
    {
      "id": "<string>",
      "parent": {
        "client": {
          "id": "<string>"
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

id
string
required

Response

Successfully retrieved company details

id
string
required

Unique identifier for the client (company ID)

Minimum string length: 1
status
object
required

Client status

name
object
required

Client/company name and avatar

description
object
required

Company description

industry
object
required

Industry classification

domain
object
required

Company website domain

linkedinUrl
object
required

LinkedIn company page URL

size
object
required

Company size (e.g. employee count band)

stage
object
required

Pipeline stage for this client

nextTaskDue
object
required

Next task due for this client

locations
object
required

Company locations

customAttributes
object[]
required

Custom attribute values for this client

createdAt
required

Timestamp when the client was created

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
modifiedAt
required

Timestamp when the client was last modified

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
funding
object
required

Funding information for the company

contacts
object
required

Contacts (people) associated with this client

isGlobalCompany
boolean
required

Whether the company is marked as a global company

hierarchies
object[]
required

Client hierarchies this client belongs to